Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class OntTools.Path

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.hp.hpl.jena.ontology.OntTools.Path

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Enclosing class:
  OntTools

    public static class OntTools.Path

extends java.util.ArrayList

A path is an application of `List` containing only `Statement` objects, and in which for all adjacent elements `Si-1` and `Si`, where `i > 0`, it is true that: ``

    Si-1.getObject().equals( Si.getSubject() )

See Also:
  Serialized Form

Constructor Summary
`OntTools.Path()`
`OntTools.Path(OntTools.Path basePath)`

Method Summary
`OntTools.Path` | `append(Statement s)` Answer a new Path whose elements are this Path with `s` added at the end
`Statement` | `getStatement(int i)`
`RDFNode` | `getTerminal()` Answer the RDF node at the end of the path, if defined, or null
`Resource` | `getTerminalResource()` Answer the resource at the end of the path, if defined, or null
`boolean` | `hasTerminus(RDFNode n)` Answer true if the last link on the path has object equal to `n`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### OntTools.Path

    public OntTools.Path()

### OntTools.Path

    public OntTools.Path(OntTools.Path basePath)

Method Detail

### getStatement

    public Statement getStatement(int i)

### append

    public OntTools.Path append(Statement s)

  Answer a new Path whose elements are this Path with `s` added at the end

### hasTerminus

    public boolean hasTerminus(RDFNode n)

  Answer true if the last link on the path has object equal to `n`

### getTerminal

    public RDFNode getTerminal()

  Answer the RDF node at the end of the path, if defined, or null

### getTerminalResource

    public Resource getTerminalResource()

  Answer the resource at the end of the path, if defined, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP